# Uses of Class
org.mariadb.jdbc.internal.failover.impl.AuroraListener

Packages that use AuroraListener
Package
Description
org.mariadb.jdbc.internal.protocol

## Uses of AuroraListener in org.mariadb.jdbc.internal.protocol

Methods in org.mariadb.jdbc.internal.protocol with parameters of type AuroraListener
Modifier and Type
Method
Description
`static void`
AuroraProtocol.`loop(AuroraListener listener, GlobalStateInfo globalInfo, List<HostAddress> addresses, SearchFilter initialSearchFilter)`
loop until found the failed connection.